org.apache.xmlgraphics.xmp

## Class XMPParser

- java.lang.Object
- - org.apache.xmlgraphics.xmp.XMPParser

-     public final class XMPParser
      extends java.lang.Object

  The XMP parser.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XMPHandler` | `createXMPHandler()` Creates and returns an XMPHandler for passive XMP parsing.
    `static Metadata` | `parseXMP(javax.xml.transform.Source src)` Parses an XMP file.
    `static Metadata` | `parseXMP(java.net.URL url)` Parses an XMP file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### parseXMP

          public static Metadata parseXMP(java.net.URL url)
                                   throws javax.xml.transform.TransformerException

      Parses an XMP file.
      Parameters:
        `url` - the URL to load the file from
      Returns:
        the parsed Metadata object
      Throws:
        `javax.xml.transform.TransformerException` - if an error occurs while parsing the file

    - #### parseXMP

          public static Metadata parseXMP(javax.xml.transform.Source src)
                                   throws javax.xml.transform.TransformerException

      Parses an XMP file.
      Parameters:
        `src` - a JAXP Source object where the XMP file can be loaded from
      Returns:
        the parsed Metadata object
      Throws:
        `javax.xml.transform.TransformerException` - if an error occurs while parsing the file

    - #### createXMPHandler

          public static XMPHandler createXMPHandler()

      Creates and returns an XMPHandler for passive XMP parsing.
      Returns:
        the requested XMPHandler

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.